## kholidays 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0")
project(KHolidays VERSION ${KF_VERSION})

find_package(ECM 5.115.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMPoQmTools)
include(FeatureSummary)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMGeneratePriFile)
include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(KHOLIDAYS_LIB_VERSION ${KF_VERSION})
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KHOLIDAYS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
                        SOVERSION 5
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

########### Find packages ###########
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

ecm_install_po_files_as_qm(poqm)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Holidays")

if(BUILD_QCH)
  ecm_install_qch_export(
    TARGETS KF5Holidays_QCH
    FILE KF5HolidaysQchTargets.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
  )
  set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5HolidaysQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5HolidaysConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5HolidaysTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5HolidaysTargets.cmake NAMESPACE KF5::)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KHolidays COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kholidays (1:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:09:23 +0200

kholidays (1:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015448).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:17:10 +0100

=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.115.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.2.0),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kholidays
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
Rules-Requires-Root: no

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5holidays5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5holidays-doc (= ${source:Version}),
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.
Breaks: libkf5alarmcalendar-dev (<< 4:17.08),

Package: libkf5holidays-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: holidays calculation library (documentation)
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the qch documentation files.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: kalarm (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5alarmcalendar5 (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),

Package: qml-module-org-kde-kholidays
Depends: ${misc:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: holidays calculation library - qml files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the QML module.

## kholidays 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0")
+set(KF_VERSION "5.116.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 5.115.0 REQUIRED NO_MODULE)
+find_package(ECM 5.116.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
kholidays (1:5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep out install and symbols files.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:26:30 +0100

kholidays (1:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:44 +0200

kholidays (1:5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:42:20 +0100

kholidays (1:5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:31:41 +0000

kholidays (1:5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:58:32 +0000

kholidays (1:5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:55:32 -0700

kholidays (1:5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:14:01 -0700

kholidays (1:5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:51:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kholidays
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.2.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kholidays
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 Rules-Requires-Root: no
 
 Package: libkf5holidays-data
@@ -72,7 +73,7 @@
         libkf5calendarsupport5 (<< 4:17.08),
 
 Package: qml-module-org-kde-kholidays
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
 Description: holidays calculation library - qml files

## kholidays 5.116.0+p24.04+vstable+git20251015.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0")
+set(KF_VERSION "5.117.0")
 project(KHolidays VERSION ${KF_VERSION})
 
 find_package(ECM 5.116.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kholidays (1:5.116.0+p24.04+vstable+git20251015.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:58:11 +0000

kholidays (1:5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:40:06 +1000

kholidays (1:5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:26:49 +0000

kholidays (1:5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:21:11 +0000

kholidays (1:5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:01:44 +0000

kholidays (1:5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:43:35 +0000

kholidays (1:5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:45:57 +0000

kholidays (1:5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:24:50 +0000

kholidays (1:5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 03:27:45 +0000

kholidays (1:5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:08:33 +0000

kholidays (1:5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:56:21 +0000

kholidays (1:5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:51:42 +0000

kholidays (1:5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:24:47 +0000

kholidays (1:5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:31:05 +0000

kholidays (1:5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:53:02 +0000

kholidays (1:5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:54:47 +0000

kholidays (1:5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:03:23 +0000

kholidays (1:5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:19:33 +0000

kholidays (1:5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:26:31 +0000

kholidays (1:5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:59:22 +0000

kholidays (1:5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:29:36 +0000

kholidays (1:5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:08:58 +0000

kholidays (1:5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:28:44 +0000

kholidays (1:5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:19:24 +0000

kholidays (1:5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:23:28 +0000

kholidays (1:5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:05 +0000

kholidays (1:5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 16:00:08 +0000

kholidays (1:5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:09:09 +0000

kholidays (1:5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:18:34 +0000

kholidays (1:5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:25:46 +0000

kholidays (1:5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:16:20 +0000

kholidays (1:5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:10:35 +0000

kholidays (1:5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:16:28 +0000

kholidays (1:5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:47 +0000

kholidays (1:5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:13:27 +0000

kholidays (1:5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:04:33 +0000

kholidays (1:5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:31:15 +0000

kholidays (1:5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:43 +0000

kholidays (1:5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:28:34 +0000

kholidays (1:5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:21:17 +0000

kholidays (1:5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:27:15 +0000

kholidays (1:5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:50:56 +0000

kholidays (1:5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:40:53 +0000

kholidays (1:5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:19:06 +0000

kholidays (1:5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:21:18 +0000

kholidays (1:5.67.0-0neon) bionic; urgency=medium

  * New release



## kholidays 5.116.0+p24.04+vstable+git20251019.0220

=== debian/changelog ===
kholidays (1:5.116.0+p24.04+vstable+git20251019.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:20:25 +0000

=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.2.0)
Standards-Version: 4.1.4
Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
Vcs-Git: https://invent.kde.org/neon/kde/kholidays.git
Vcs-Browser: https://invent.kde.org/neon/kde/kholidays
Maintainer: Neon CI <neon@kde.org>

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5holidays5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5holidays-doc (= ${source:Version})
Breaks: libkf5alarmcalendar-dev (<< 4:17.08),
        libkf5holidays-doc (<< 1:5.61.90-0)
Replaces: libkf5holidays-doc (<< 1:5.61.90-0)
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf5holidays-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: holidays calculation library (documentation)
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the qch documentation files.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: kalarm (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5alarmcalendar5 (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08)

Package: qml-module-org-kde-kholidays
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: holidays calculation library - qml files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the QML module.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/@PACKAGE@-([\d.]+).tar.xz

## kholidays 5.116.0+p24.04+vunstable+git20251015.0905

=== debian/changelog ===
kholidays (1:5.116.0+p24.04+vunstable+git20251015.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:05:34 +0000

## kholidays 5.116.0+p24.04+vunstable+git20251020.0126

=== debian/changelog ===
kholidays (1:5.116.0+p24.04+vunstable+git20251020.0126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:26:54 +0000

## kholidays 15.08.2

=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libkf5itemviews-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0),
               qttools5-dev (>= 5.2.0)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kholidays
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kholidays.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kholidays.git

Package: libkf5holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5holidays5 (= ${binary:Version}),
         libkf5kdelibs4support-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5holidays5 (= ${binary:Version}), ${misc:Depends}
Description: holidays calculation library - debug symbols
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5holidays-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kholidays 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KHolidays)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMPoQmTools)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)


set(KF5_VERSION "5.14.0")
set(KHOLIDAYS_LIB_VERSION "4.80.0")

ecm_setup_version(${KHOLIDAYS_LIB_VERSION} VARIABLE_PREFIX KHOLIDAYS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(holidays)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ecm_install_po_files_as_qm(po)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Holidays")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5HolidaysConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5HolidaysTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5HolidaysTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5Test CONFIG REQUIRED)

########### next target ###############

set(testlunar_SRCS testlunar.cpp)

add_executable(testlunar ${testlunar_SRCS})
add_test(testlunar testlunar)
ecm_mark_as_test(testlunar)
target_link_libraries(testlunar KF5Holidays Qt5::Test)

########### next target ###############

set(testseasons_SRCS testseasons.cpp)

add_executable(testseasons ${testseasons_SRCS})
add_test(testseasons testseasons)
ecm_mark_as_test(testseasons)
target_link_libraries(testseasons KF5Holidays Qt5::Test)

########### next target ###############

set(testsunriseset_SRCS testsunriseset.cpp)

add_executable(testsunriseset ${testsunriseset_SRCS})
add_test(testsunriseset testsunriseset)
ecm_mark_as_test(testsunriseset)
target_link_libraries(testsunriseset KF5Holidays Qt5::Test)

########### next target ###############

set(testzodiac_SRCS testzodiac.cpp)

add_executable(testzodiac ${testzodiac_SRCS})
add_test(testzodiac testzodiac)
ecm_mark_as_test(testzodiac)
target_link_libraries(testzodiac KF5Holidays Qt5::Test)

########### next target ###############

set(testholidayregion_SRCS testholidayregion.cpp)

add_executable(testholidayregion ${testholidayregion_SRCS})
add_test(testholidayregion testholidayregion)
set_target_properties(testholidayregion PROPERTIES COMPILE_FLAGS -DKDESRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")

ecm_mark_as_test(testholidayregion)
target_link_libraries(testholidayregion KF5Holidays Qt5::Test)

=== holidays/CMakeLists.txt ===
install(DIRECTORY plan2 DESTINATION ${KDE_INSTALL_DATADIR_KF5}/libkholidays PATTERN "*~" EXCLUDE)

=== src/CMakeLists.txt ===

include(CheckIncludeFiles)

ecm_create_qm_loader(kholidays_QM_LOADER libkholidays5_qt)

check_include_files(err.h HAVE_ERR_H)
check_include_files(sys/cdefs.h HAVE_SYS_CDEFS_H)

configure_file(config-kholidays.h.cmake ${KHolidays_BINARY_DIR}/src/config-kholidays.h)

set(kholidays_SRCS
  astroseasons.cpp
  holiday.cpp
  holidayregion.cpp
  lunarphase.cpp
  sunriseset.cpp
  zodiac.cpp
  parsers/holidayparserdriver.cpp
  parsers/qcalendarsystem.cpp
  parsers/plan2/holidayscannerplan.cpp
  parsers/plan2/holidayparserdriverplan.cpp
  parsers/plan2/holidayparserplan.cpp
  ${kholidays_QM_LOADER}
)

add_library(KF5Holidays ${kholidays_SRCS})
generate_export_header(KF5Holidays BASE_NAME kholidays)

add_library(KF5::Holidays ALIAS KF5Holidays)

target_include_directories(KF5Holidays INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays>")
target_include_directories(KF5Holidays PUBLIC "$<BUILD_INTERFACE:${KHolidays_SOURCE_DIR}/src;${KHolidays_BINARY_DIR}/src>")
target_include_directories(KF5Holidays PUBLIC "$<BUILD_INTERFACE:${KHolidays_SOURCE_DIR}/src/parsers/plan2>")

target_link_libraries(KF5Holidays
PUBLIC
    Qt5::Core
)

set_target_properties(KF5Holidays PROPERTIES
    VERSION ${KHOLIDAYS_VERSION_STRING}
    SOVERSION ${KHOLIDAYS_SOVERSION}
    EXPORT_NAME Holidays
)

ecm_generate_headers(KHolidays_CamelCase_HEADERS
  HEADER_NAMES
  AstroSeasons
  Holiday
  HolidayRegion
  LunarPhase
  Zodiac
  PREFIX KHolidays
  REQUIRED_HEADERS KHolidays_HEADERS
)

install(TARGETS KF5Holidays EXPORT KF5HolidaysTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kholidays_export.h
    ${KHolidays_HEADERS}
    ${KHolidays_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays/kholidays
    COMPONENT Devel
)

install(FILES
    ${KHolidays_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays/KHolidays
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KHolidays LIB_NAME KF5KHolidays DEPS "widgets" FILENAME_VAR PRI_FILENAME  INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               libkf5itemviews-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.2.0)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kholidays
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kholidays.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kholidays.git

Package: libkf5holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5holidays5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5holidays-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kholidays 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KHolidays)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -15,11 +15,11 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 
-set(KF5_VERSION "5.14.0")
-set(KHOLIDAYS_LIB_VERSION "4.80.0")
+set(KF5_VERSION "5.19.0")
+set(KHOLIDAYS_LIB_VERSION "5.2.2")
 
 ecm_setup_version(${KHOLIDAYS_LIB_VERSION} VARIABLE_PREFIX KHOLIDAYS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h"
@@ -29,7 +29,7 @@
 
 ########### Find packages ###########
 set(REQUIRED_QT_VERSION 5.4.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -74,3 +74,5 @@
 ecm_generate_pri_file(BASE_NAME KHolidays LIB_NAME KF5KHolidays DEPS "widgets" FILENAME_VAR PRI_FILENAME  INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays)
 
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
+
+add_subdirectory(declarative)

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.14.0~),
+               extra-cmake-modules (>= 5.19.0~),
                libkf5itemviews-dev (>= 5.12.0~),
                libkf5kdelibs4support-dev (>= 5.12.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4.0~),
+               qtdeclarative5-dev (>= 5.4.0~),
                qttools5-dev (>= 5.2.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/kholidays
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kholidays.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kholidays.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kholidays.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kholidays.git
 
 Package: libkf5holidays-dev
 Section: libdevel
@@ -51,3 +52,13 @@
  events for a geographical region.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+
+Package: qml-module-org-kde-kholidays
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Multi-Arch: same
+Description: holidays calculation library - qml files
+ This library provides a C++ API that determines holiday and other special
+ events for a geographical region.
+ .
+ This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5holidays-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kholidays 16.04.3

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libkf5itemviews-dev (>= 5.12.0~),
-               libkf5kdelibs4support-dev (>= 5.12.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5itemviews-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
-               qttools5-dev (>= 5.2.0)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kholidays
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kholidays.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kholidays.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 
 Package: libkf5holidays-dev
 Section: libdevel
@@ -54,11 +53,11 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: qml-module-org-kde-kholidays
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
-Multi-Arch: same
-Description: holidays calculation library - qml files
- This library provides a C++ API that determines holiday and other special
- events for a geographical region.
+Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
+Description: kholidays QtDeclarative QML support
+ Contains a plugin for QtDeclarative that provides
+ support for using KDE-kholidays components written
+ in QML.
  .
- This package contains the QML module.
+ This package is part of the KDE PIM module.

## kholidays 17.04.3

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5itemviews-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kholidays
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 
 Package: libkf5holidays-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libkf5holidays5 (= ${binary:Version}),
-         libkf5kdelibs4support-dev (>= 5.12.0~),
+         libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: holidays calculation library - development files
@@ -34,6 +34,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: holidays calculation library
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.
